Index: trunk/packages/sipb-xen-iptables/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-iptables/debian/changelog	(revision 1252)
+++ trunk/packages/sipb-xen-iptables/debian/changelog	(revision 1253)
@@ -1,2 +1,8 @@
+sipb-xen-iptables (3) unstable; urgency=low
+
+  * shorten initscript with std-init.sh
+
+ -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 15:35:09 -0400
+
 sipb-xen-iptables (2) unstable; urgency=low
 
Index: trunk/packages/sipb-xen-iptables/debian/sipb-xen-iptables.init
===================================================================
--- trunk/packages/sipb-xen-iptables/debian/sipb-xen-iptables.init	(revision 1252)
+++ trunk/packages/sipb-xen-iptables/debian/sipb-xen-iptables.init	(revision 1253)
@@ -10,107 +10,25 @@
 ### END INIT INFO
 
-# Author: SIPB Xen Project <sipb-xen@mit.edu>
+NAME=sipb-xen-iptables
+DESC="Load the sipb-xen iptables rules"
+RULES=/usr/share/sipb-xen-iptables/iptables.rules
+GEN_FILES=$RULES
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
 
-# Do NOT "set -e"
+dpkg -s "$NAME" >/dev/null 2>/dev/null || exit 0
 
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="Load the sipb-xen iptables rules"
-NAME=sipb-xen-iptables
-RULES=/usr/share/sipb-xen-iptables/iptables.rules
+. /lib/init/gen-files.sh
+. /lib/init/std-init.sh
 
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
 do_start()
 {
-	# Return
-	#   0 if daemon has been started
-	#   1 if daemon was already running
-	#   2 if daemon could not be started
-	for i in /usr/share/sipb-xen-iptables/iptables.rules
-	do mako-render $i.mako > $i
-	done
-	
+	gen_files
 	/sbin/iptables-restore < $RULES
 }
 
-#
-# Function that stops the daemon/service
-#
 do_stop()
 {
-	# Return
-	#   0 if daemon has been stopped
-	#   1 if daemon was already stopped
-	#   2 if daemon could not be stopped
-	#   other if a failure occurred
 	return 0
 }
 
-case "$1" in
-  start)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
-	do_start
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  stop)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-	do_stop
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  #reload|force-reload)
-	#
-	# If do_reload() is not implemented then leave this commented out
-	# and leave 'force-reload' as an alias for 'restart'.
-	#
-	#log_daemon_msg "Reloading $DESC" "$NAME"
-	#do_reload
-	#log_end_msg $?
-	#;;
-  restart|force-reload)
-	#
-	# If the "reload" option is implemented then remove the
-	# 'force-reload' alias
-	#
-	log_daemon_msg "Restarting $DESC" "$NAME"
-	do_stop
-	case "$?" in
-	  0|1)
-		do_start
-		case "$?" in
-			0) log_end_msg 0 ;;
-			1) log_end_msg 1 ;; # Old process is still running
-			*) log_end_msg 1 ;; # Failed to start
-		esac
-		;;
-	  *)
-	  	# Failed to stop
-		log_end_msg 1
-		;;
-	esac
-	;;
-  *)
-	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
-	exit 3
-	;;
-esac
-
-:
+std_init "$1"
